## org.eclipse.emf.ecore.util
Class EObjectValidator.DynamicEDataTypeValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator

Enclosing class:
  EObjectValidator

    public class EObjectValidator.DynamicEDataTypeValidator

extends java.lang.Object

Field Summary
`protected java.util.List<java.lang.Object>` `effectiveEnumeration`
`protected int` `effectiveFractionDigits`
`protected java.lang.Object` `effectiveMax`
`protected boolean` `effectiveMaxIsInclusive`
`protected int` `effectiveMaxLength`
`protected java.lang.Object` `effectiveMin`
`protected boolean` `effectiveMinIsInclusive`
`protected int` `effectiveMinLength`
`protected EValidator.PatternMatcher[][]` `effectivePattern`
`protected int` `effectiveTotalDigits`
`protected int` `effectiveTotalDigitsMax`
`protected int` `effectiveTotalDigitsMin`
`protected EDataType` `itemType`
`protected java.util.List<EDataType>` `memberTypes`

Constructor Summary
`EObjectValidator.DynamicEDataTypeValidator(EDataType eDataType)`

Method Summary
`boolean` `validate(EDataType eDataType, java.lang.Object value, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### effectiveEnumeration

    protected java.util.List<java.lang.Object> effectiveEnumeration

### effectivePattern

    protected EValidator.PatternMatcher[][] effectivePattern

### effectiveTotalDigits

    protected int effectiveTotalDigits

### effectiveFractionDigits

    protected int effectiveFractionDigits

### effectiveMinLength

    protected int effectiveMinLength

### effectiveMaxLength

    protected int effectiveMaxLength

### effectiveMin

    protected java.lang.Object effectiveMin

### effectiveMinIsInclusive

    protected boolean effectiveMinIsInclusive

### effectiveTotalDigitsMin

    protected int effectiveTotalDigitsMin

### effectiveMax

    protected java.lang.Object effectiveMax

### effectiveMaxIsInclusive

    protected boolean effectiveMaxIsInclusive

### effectiveTotalDigitsMax

    protected int effectiveTotalDigitsMax

### itemType

    protected EDataType itemType

### memberTypes

    protected java.util.List<EDataType> memberTypes

Constructor Detail

### EObjectValidator.DynamicEDataTypeValidator

    public EObjectValidator.DynamicEDataTypeValidator(EDataType eDataType)

Method Detail

### validate

    public boolean validate(EDataType eDataType,
                            java.lang.Object value,
                            DiagnosticChain diagnostics,
                            java.util.Map<java.lang.Object,java.lang.Object> context)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.